/* =========================
   TRANSFER PAGE
========================= */

.transfer-page{

  width:100%;
  max-width:480px;

  margin:auto;

  padding:80px 16px 120px;

  box-sizing:border-box;

}


/* =========================
   TRANSFER CARD
========================= */

.transfer-card{

  background:
  rgba(255,255,255,.04);

  border:
  1px solid rgba(255,255,255,.06);

  border-radius:28px;

  padding:18px;

  backdrop-filter:
  blur(10px);

}


/* =========================
   SECTION
========================= */

.transfer-section{

  margin-bottom:20px;

}

.transfer-section label{

  display:block;

  margin-bottom:10px;

  font-size:14px;

  font-weight:700;

}


/* =========================
   INPUTS
========================= */

.transfer-input{

  width:100%;

  height:45px;

  border:none;

  outline:none;

  border-radius:22px;

  background:
  rgba(255,255,255,.05);

  color:white;

  padding:0 18px;

  box-sizing:border-box;

  font-size:16px;

}

.transfer-input::placeholder{

  color:
  rgba(255,255,255,.4);

}


/* =========================
   RECIPIENT CARD
========================= */

.recipient-name{

  margin-top:12px;

  min-height:48px;

  border-radius:18px;

  display:flex;

  align-items:center;

  padding:0 16px;

  font-size:14px;

  font-weight:700;

}

.recipient-name.success{

  background:
  rgba(255, 255, 255, 0);

  border:
  1px solid rgba(255, 255, 255, 0);

  color:#00D492;

}

.recipient-name.error{

  background:
  rgba(255,0,0,.08);

  border:
  1px solid rgba(255,0,0,.15);

  color:#ff6b6b;

}


/* =========================
   AMOUNT DISPLAY
========================= */

.transfer-indicator{

  width:100%;

  background:
  rgba(255,255,255,.05);

  border:
  1px solid rgba(255,255,255,.06);

  border-radius:22px;

  padding:18px;

  box-sizing:border-box;

  display:flex;

  justify-content:space-between;

  align-items:center;

  margin-top:18px;

  margin-bottom:18px;

}

.transfer-indicator span{

  opacity:.7;

  font-size:12px;

}

.transfer-indicator h3{

  margin:8px 0 0;

  font-size:20px;

}


/* =========================
   SUMMARY CARD
========================= */

.transfer-summary{

  background:
  rgba(255,255,255,.05);

  border-radius:24px;

  padding:18px;

  margin-top:20px;

  margin-bottom:20px;

}

.summary-row{

  display:flex;

  justify-content:space-between;

  margin-bottom:14px;

}

.summary-row:last-child{

  margin-bottom:0;

}


/* =========================
   BUTTON
========================= */

.transfer-btn{

  width:100%;

  height:48px;

  border:none;

  border-radius:24px;

  background:
  linear-gradient(
    135deg,
    #00D492,
    #00A884
  );

  color:white;

  font-size:17px;

  font-weight:800;

  cursor:pointer;

}

.transfer-btn:disabled{

  opacity:.6;

}


/* =========================
   SECURITY TEXT
========================= */

.security-note{

  text-align:center;

  margin-top:14px;

  font-size:12px;

  opacity:.6;

}